quadanim = class:new()

function quadanim:init(quad, time, animtype)
	self.animtype = animtype

	self.quad = quad
	self.quadtimer = 1
	self.quadtimerstate = "plus"

	self.maxtime = time
	self.innerTimer = 0

end

function quadanim:update(dt)
	if self.innerTimer == self.maxtime then
		self.innerTimer = 0
		
		if self.animtype == "linear" then
			if self.quadtimer == self.quad then
				self.quadtimer = 1
			else
				self.quadtimer = self.quadtimer + 1
			end
		elseif self.animtype == "bounce" then
			if self.quadtimer == self.quad then
				self.quadtimerstate = "minus"
			elseif self.quadtimer == 1 then
				self.quadtimerstate = "plus"
			end

			if self.quadtimerstate == "plus" then
				self.quadtimer = self.quadtimer + 1
			elseif self.quadtimerstate == "minus" then
				self.quadtimer = self.quadtimer - 1
			end
		end
	else
		self.innerTimer = self.innerTimer + 1
	end	
end

function quadanim:getQuad()
	return self.quadtimer
end