function love.load()
	-- Game state
	state = "menu"

	-- Require Files
	require "usefulFunction"
	require "class"
	require "quadanimation"
	require "button"
	require "menu"

	-- Require Images
	images = {}

	-- Non-quadratic images
	images.menu = {file = love.graphics.newImage("gfx/menu.png")}

	-- Quadratic Images
	images.flag = {
		file = love.graphics.newImage("gfx/flag.png"),
		quad = quadify(600, 250, 150, 125, 8)
	}

	-- Require fonts
	fonts = {}
	fonts.mutlu = love.graphics.newFont("fonts/Mutlu__Ornamental.ttf", 25)

	menu.load()
end

function love.update(dt)
	if state == "menu" then
		menu.update(dt)
	end
end

function love.draw()
	if state == "menu" then
		menu.draw()
	end
end

function love:mousereleased(x, y, button)
	if state == "menu" then
		menu.mousereleased(x, y, button)
	end
end